WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: SYSTEM_LOGICAL_PROCESSOR_INFORMATION

Package com.sun.jna.platform.win32

# Class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

Enclosing interface:
  WinNT

@FieldOrder({"processorMask","relationship","payload"}) public static class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION extends Structure
Describes the relationship between the specified processor set. This structure is used with the `Kernel32.GetLogicalProcessorInformation(com.sun.jna.Pointer, com.sun.jna.platform.win32.WinDef.DWORDByReference)` function.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructNumaNode`
  `static class`
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore`
  `static class`
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload`
  `payload`
  A union of fields which differs depending on `relationship`.
  `BaseTSD.ULONG_PTR`
  `processorMask`
  The processor mask identifying the processors described by this structure.
  `int`
  `relationship`
  The relationship between the processors identified by the value of the `processorMask` member.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SYSTEM_LOGICAL_PROCESSOR_INFORMATION()`
  `SYSTEM_LOGICAL_PROCESSOR_INFORMATION(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### processorMask

    public BaseTSD.ULONG_PTR processorMask
    The processor mask identifying the processors described by this structure. A processor mask is a bit vector in which each set bit represents an active processor in the relationship.

  - ### relationship

    public int relationship
    The relationship between the processors identified by the value of the `processorMask` member. This member can be one of `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationCache`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationNumaNode`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorCore` or `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorPackage`.
    See Also:
      - `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP`

  - ### payload

    public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload payload
    A union of fields which differs depending on `relationship`.

- ## Constructor Details

  - ### SYSTEM_LOGICAL_PROCESSOR_INFORMATION

    public SYSTEM_LOGICAL_PROCESSOR_INFORMATION()

  - ### SYSTEM_LOGICAL_PROCESSOR_INFORMATION

    public SYSTEM_LOGICAL_PROCESSOR_INFORMATION(Pointer memory)